package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.DreMenu;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2022-08-14
 */
public interface DreMenuService extends IService<DreMenu> {




    void addBatchByFile(MultipartFile file);

    CommonPage<DreMenu> page(Integer current, Integer size,
                             String type,
                             String name,
                             Integer isRecommend,
                             Integer status,
                             Date startTime ,
                             Date endTime);
}
